### Method

# Gtk CellRenderer get_preferred_height

#### Declaration [src]

    void
    gtk_cell_renderer_get_preferred_height (
      GtkCellRenderer* cell,
      GtkWidget* widget,
      int* minimum_size,
      int* natural_size
    )

#### Description [src]

Retrieves a renderer’s natural size when rendered to `widget`.

#### Parameters

`widget` | `GtkWidget`
| The `GtkWidget` this cell will be rendering to.
| The data is owned by the caller of the function.
`minimum_size` | `int*`
| Location to store the minimum size.
| The argument will be set by the function.
| The argument can be `NULL`.
| The instance takes ownership of the data, and is responsible for freeing it.
`natural_size` | `int*`
| Location to store the natural size.
| The argument will be set by the function.
| The argument can be `NULL`.
| The instance takes ownership of the data, and is responsible for freeing it.